Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.ai
Class EntityAINearestAttackableTarget

    java.lang.Object
      net.minecraft.entity.ai.EntityAIBase
          net.minecraft.entity.ai.EntityAITarget
              net.minecraft.entity.ai.EntityAINearestAttackableTarget

Direct Known Subclasses:
  EntityAITargetNonTamed

    public class EntityAINearestAttackableTarget

extends EntityAITarget

Constructor Summary
`EntityAINearestAttackableTarget(EntityLiving par1EntityLiving, Class par2Class, float par3, int par4, boolean par5)`
`EntityAINearestAttackableTarget(EntityLiving par1EntityLiving, Class par2Class, float par3, int par4, boolean par5, boolean par6)`
`EntityAINearestAttackableTarget(EntityLiving par1, Class par2, float par3, int par4, boolean par5, boolean par6, IEntitySelector par7IEntitySelector)`

Method Summary
`boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
`void` | `startExecuting()` Execute a one shot task or start executing a continuous task

Methods inherited from class net.minecraft.entity.ai.EntityAITarget
`continueExecuting, resetTask`

Methods inherited from class net.minecraft.entity.ai.EntityAIBase
`getMutexBits, isContinuous, setMutexBits, updateTask`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAINearestAttackableTarget

    public EntityAINearestAttackableTarget(EntityLiving par1EntityLiving,
                                           Class par2Class,
                                           float par3,
                                           int par4,
                                           boolean par5)

### EntityAINearestAttackableTarget

    public EntityAINearestAttackableTarget(EntityLiving par1EntityLiving,
                                           Class par2Class,
                                           float par3,
                                           int par4,
                                           boolean par5,
                                           boolean par6)

### EntityAINearestAttackableTarget

    public EntityAINearestAttackableTarget(EntityLiving par1,
                                           Class par2,
                                           float par3,
                                           int par4,
                                           boolean par5,
                                           boolean par6,
                                           IEntitySelector par7IEntitySelector)

Method Detail

### shouldExecute

    public boolean shouldExecute()

  Returns whether the EntityAIBase should begin execution.

  Specified by:
    `shouldExecute` in class `EntityAIBase`

### startExecuting

    public void startExecuting()

  Execute a one shot task or start executing a continuous task

  Overrides:
    `startExecuting` in class `EntityAITarget`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD